import { ItemOptions, StorageItem } from './types';
import type { AppiumLogger } from '@appium/types';
import type Stream from 'node:stream';
import type WebSocket from 'ws';
export declare class Storage {
    private readonly _root;
    private readonly _log;
    private readonly _shouldPreserveRoot;
    private readonly _shouldPreserveFiles;
    constructor(root: string, shouldPreserveRoot: boolean, shouldPreserveFiles: boolean, log: AppiumLogger);
    list(): Promise<StorageItem[]>;
    add(opts: ItemOptions, source: Stream | WebSocket): Promise<void>;
    delete(name: string): Promise<boolean>;
    reset(): Promise<void>;
    cleanupSync(): void;
    private _listFiles;
    private _addFromStream;
    private _addFromWebSocket;
    private _finalizeItem;
}
export declare function requireValidItemOptions(opts: ItemOptions): ItemOptions;
export declare class StorageArgumentError extends Error {
}
//# sourceMappingURL=storage.d.ts.map