"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.toW3cResponseError = toW3cResponseError;
const lodash_1 = __importDefault(require("lodash"));
const driver_1 = require("appium/driver");
function toW3cResponseError(err) {
    if (lodash_1.default.isFunction(driver_1.getResponseForW3CError)) {
        return (0, driver_1.getResponseForW3CError)(err);
    }
    // TODO: deprecate the below after the plugin only supports Appium3+
    const protocolError = lodash_1.default.has(err, 'w3cStatus') ? err : new driver_1.errors.UnknownError(err);
    return [protocolError.w3cStatus, {
            value: {
                error: protocolError.error,
                message: protocolError.message,
                stacktrace: protocolError.stacktrace || protocolError.stack,
            },
        }];
}
//# sourceMappingURL=utils.js.map